;;; Common Process Methodology 
;;; Use -clips loader.clp on HARDY command line.
;;; Create a CPM card, create a root with the custom menu,
;;; then keep clicking on nodes to create children.

(load "H:\\PC\\Java\\CPF\\cpftools\\cpm\\util.clp")  ;; misc routines
(load "H:\\PC\\Java\\CPF\\cpftools\\cpm\\cpm-cpl.clp") ;; export to cpl
(load "H:\\PC\\Java\\CPF\\cpftools\\cpm\\cpm.clp") ;; core code
(load "H:\\PC\\Java\\CPF\\cpftools\\cpm\\cpm-rules.clp") ;; rule base for checking ted's

; Event handlers for CPM
(register-event-handler CustomMenu "Tabular Entry Diagram" cpm-menu-handler)
(register-event-handler CustomMenu "Viewpoint Bubble Diagram" cpm-menu-handler)
;;;(register-event-handler NodeLeftClick "Tabular Entry Diagram" cpm-node-handler)
;;;(register-event-handler DeleteNodeImage "Tabular Entry Diagram" cpm-delete-image-handler)
;;;(register-event-handler DeleteArcImage "Tabular Entry Diagram" cpm-delete-image-handler)
(register-event-handler OnHardyInit "Toplevel" cpm-init)
(register-event-handler CreateCard "Tabular Entry Diagram" cpm-draw-ted)
(register-event-handler CreateCard "Isolated Thread Diagram" cpm-draw-frame)
(register-event-handler CreateCard "Combined Thread Diagram" cpm-draw-frame)
(register-event-handler CreateCard "Viewpoint Structure Diagram" cpm-draw-frame)
(register-event-handler CreateCard "Viewpoint Bubble Diagram" cpm-draw-frame)
(register-event-handler CreateCard "Data Composition Diagram" cpm-draw-frame)
